<template>
  <q-layout view="lHh Lpr lff">
    <Header class="absolute-top" @toggleLogin="toggleLogin = true" />
    <q-page-container style="min-height: 500px">
      <q-dialog v-model="toggleLogin">
        <Login @closeDialog="toggleLogin = false" />
      </q-dialog>
      <router-view @showLogin="toggleLogin = true" />
    </q-page-container>
    <Footer />
  </q-layout>
</template>

<script>
import Login from 'components/Login'
import Footer from 'components/Footer'
import Header from 'components/HeaderGuest'

export default {
  name: 'GuestLayout',
  components: {
    Header,
    Footer,
    Login,
  },
  data() {
    return {
      toggleLogin: false,
    }
  },
  mounted() {
    this.$store.dispatch(
      'settings/setDarkMode',
      this.$store.state.settings.darkMode,
    )
  },
}
</script>

<style scoped></style>
